org.kie.internal

## Interface KnowledgeBaseFactoryService

- All Superinterfaces:
    org.kie.api.Service

      public interface KnowledgeBaseFactoryService
      extends org.kie.api.Service

  KnowledgeBaseFactoryService is the interface implemented by KnowledgeBaseFactory. This class is not considered stable and may change. Users are referred to the KnowledgeBaseFactory API, which is considered stable.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.Environment` | `newEnvironment()` Instantiate and return an Environment
    `KnowledgeBase` | `newKnowledgeBase()` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration
    `KnowledgeBase` | `newKnowledgeBase(org.kie.api.KieBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration
    `KnowledgeBase` | `newKnowledgeBase(String kbaseId)` Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.
    `KnowledgeBase` | `newKnowledgeBase(String kbaseId, org.kie.api.KieBaseConfiguration conf)` Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.
    `org.kie.api.KieBaseConfiguration` | `newKnowledgeBaseConfiguration()` Instantiate and return a new KnowledgeBaseConfiguration
    `org.kie.api.KieBaseConfiguration` | `newKnowledgeBaseConfiguration(Properties properties, ClassLoader... classLoader)` Instantiate and return a new KnowledgeBaseConfiguration
    `org.kie.api.runtime.KieSessionConfiguration` | `newKnowledgeSessionConfiguration()` Instantiate and return a new KnowledgeSessionConfiguration
    `org.kie.api.runtime.KieSessionConfiguration` | `newKnowledgeSessionConfiguration(Properties properties)` Instantiate and return a new KnowledgeSessionConfiguration

- - ### Method Detail

    - #### newKnowledgeBaseConfiguration

          org.kie.api.KieBaseConfiguration newKnowledgeBaseConfiguration()

      Instantiate and return a new KnowledgeBaseConfiguration
      Returns:
        the KnowledgeBaseConfiguration

    - #### newKnowledgeBaseConfiguration

          org.kie.api.KieBaseConfiguration newKnowledgeBaseConfiguration(Properties properties,
                                                                         ClassLoader... classLoader)

      Instantiate and return a new KnowledgeBaseConfiguration
      Parameters:
        `properties` - Properties file to process, can be null;
        `classLoader` - Provided ClassLoader, can be null and then ClassLoader defaults to Thread.currentThread().getContextClassLoader()
      Returns:
        The KnowledgeBaseConfiguration

    - #### newKnowledgeSessionConfiguration

          org.kie.api.runtime.KieSessionConfiguration newKnowledgeSessionConfiguration()

      Instantiate and return a new KnowledgeSessionConfiguration
      Returns:
        the KnowledgeSessionConfiguration

    - #### newKnowledgeSessionConfiguration

          org.kie.api.runtime.KieSessionConfiguration newKnowledgeSessionConfiguration(Properties properties)

      Instantiate and return a new KnowledgeSessionConfiguration
      Parameters:
        `properties` - Properties file to process, can be null;
      Returns:
        The KnowledgeSessionConfiguration

    - #### newKnowledgeBase

          KnowledgeBase newKnowledgeBase()

      Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration
      Returns:
        The KnowledgeBase

    - #### newKnowledgeBase

          KnowledgeBase newKnowledgeBase(String kbaseId)

      Instantiate and return a KnowledgeBase using a default KnowledgeBaseConfiguration and the given KnowledgeBase ID.
      Parameters:
        `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
      Returns:
        The KnowledgeBase

    - #### newKnowledgeBase

          KnowledgeBase newKnowledgeBase(org.kie.api.KieBaseConfiguration conf)

      Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration
      Parameters:
        `conf` - The KnowledgeBaseConfiguration to be used
      Returns:
        The KnowledgeBase

    - #### newKnowledgeBase

          KnowledgeBase newKnowledgeBase(String kbaseId,
                                         org.kie.api.KieBaseConfiguration conf)

      Instantiate and return a KnowledgeBase using the given KnowledgeBaseConfiguration and the given KnowledgeBase ID.
      Parameters:
        `kbaseId` - A string Identifier for the knowledge base. Specially useful when enabling JMX monitoring and management, as that ID will be used to compose the JMX ObjectName for all related MBeans. The application must ensure all kbase IDs are unique.
        `conf` - The KnowledgeBaseConfiguration to be used
      Returns:
        The KnowledgeBase

    - #### newEnvironment

          org.kie.api.runtime.Environment newEnvironment()

      Instantiate and return an Environment
      Returns:
        The Environment

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.